/*
*   Custom Style
*/


/** ============================
*   Global Styles
*   ============================
*/

@media screen and (min-width: 768px) {
    /* Card Style */
    body .ff-card-flex-container {
        flex-direction: row;
        flex-wrap: wrap;
    }

    body .ff-card-flex-container .child-card-wrapper {
        flex: 0 0 calc(25% - 12px);
    }

    .ff-accent-grey-box {
        justify-content: flex-start;
    }

    .ff-light-red-box {
        align-items: start;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
    }

    .ff-light-blue-box {
        align-items: start;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
    }

    .ff-light-green-box {
        align-items: start;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
    }
}


/** ============================
*   Notification
*   ============================
*/

@media screen and (min-width: 768px) {
    .my-children-list-wrapper.notification-list {
        flex-direction: row;
    }

    .my-children-list-wrapper.notification-list .child-card {
        flex: 0 0 calc(25% - 12px);
        padding-right: 16px;
    }

    .notification-list .child-card:after {
        display: none;
    }
}

/** ============================
*   Favorite
*   ============================
*/

@media screen and (min-width: 768px) {
    .resource-list {
        display: flex;
        flex-wrap: wrap;
        column-gap: 12px;
        row-gap: 12px;
    }

    body .resource-list .ff-card {
        flex: 0 0 calc(25% - 12px);
    }
}

/** ============================
*   Resource List
*   ============================
*/

@media screen and (min-width: 768px) {
    body .search-form-select .elementor-field-group {
        margin-bottom: 0 !important;
    }

    form[name="Resource Search Option"] .elementor-form-fields-wrapper > div.elementor-field-group {
        margin-bottom: 10px !important;
    }
}

/** ============================
*   Forum List
*   ============================
*/

@media screen and (min-width: 768px) {
    body .forum-header {
        display: flex;
        column-gap: 8px;
    }

    .forum-content {
        margin-bottom: 16px;
    }

    .forum-card .forum-title {
        font-size: 18px;
    }
}

/** ============================
*   Forum Detail
*   ============================
*/

@media screen and (min-width: 768px) {
    body .forum-footer {
        display: flex;
        column-gap: 30px;
    }
}

/** ============================
*   Child Detail
*   ============================
*/

@media screen and (min-width: 768px) {
    .asq-data-list-wrapper {
        display: flex;
        column-gap: 12px;
        align-items: stretch;
    }

    body .asq-data-list-wrapper .child-card {
        margin-bottom: 0px;
    }

    body .asq-data-list-wrapper a {
        flex: 0 0 calc(25% - 12px);
    }
}

/** ============================
*   Child's ASQ Results
*   ============================
*/

@media screen and (min-width: 768px) {
    body .asq-data-list {
        flex-direction: row;
        flex-wrap: wrap;
    }

    body .asq-data-list-wrapper.ff-card-flex-container {
        display: block;
    }
}

/** ============================
*   Child's ASQ Detail
*   ============================
*/

@media screen and (min-width: 768px) {
    .asq-overview {
        display: flex;
        flex-wrap: wrap;
        align-items: flex-end;
    }

    .asq-overview .child-name {
        flex: 0 0 100%;
    }

    body .overview-content {
        flex: 0 0 50%;
    }

    .asq-overview .how-to-understand-asq-link {
        margin-top: 0;
        flex: 0 0 50%;
    }

    .asq-overview .how-to-understand-asq-link > a:first-child {
        float: left;
        margin-right: 10px;
        margin-bottom: 0px;
    }

    .asq-overview .how-to-understand-asq-link > a:last-child {
        float: right;
    }

    .resource-list-wrapper.fixed-list .ajax-button-section {
        margin-top: 12px;
    }

    .asq-score .ff-progress-title {
        flex: 1 0 0;
    }

    .asq-score .ff-progress-title-section {
        row-gap: 20px;
    }

    .ff-resource-category-title {
        margin-bottom: 10px;
    }

    .asq-se2 .ff-progress-body {
        overflow-x: inherit;
    }
}